/* Copyright 1992-94.  Adobe Systems, Inc.. All rights reserved. */

#if Macintosh
#include "Types.r"
#include "Systypes.r"
#include "PIGeneral.r"
#endif

#if MSWindows
#include "PIGeneral.h"
#endif

/*	Dialog IDs */

#define IDD_ABOUT       16000


/* Version information. */

#ifndef VersionString

#define VersionString "3.0"

resource 'vers' (1, purgeable)
	{
	3, 0, final, 0, verUs,
	VersionString,
	VersionString " 1996 Greggman"
	};

#endif

resource 'PiPL' (IDD_ABOUT, purgeable)
	{
		{
		Kind { ImageFormat },
		Name { "Alias PIX Format" },
		Version { (latestFormatVersion << 16) | latestFormatSubVersion },
		#if Macintosh
		Code68K { '8BIF', $$ID },
		CodePowerPC { 0, 0, "" },
		#endif
		#if MSWindows
		CodeWin32X86 { "ENTRYPOINT" },
		#endif
		SupportedModes
			{
			/* doesSupportBitmap, */ doesSupportGrayScale,
			/* doesSupportIndexedColor, */ doesSupportRGBColor /* , */
			/* doesSupportCMYKColor, doesSupportHSLColor, */
			/* doesSupportHSBColor, doesSupportMultichannel, /
			/* doesSupportDuotone, doesSupportLABColor */
			},
		FmtFileType { '8B1F', '8BIM' },
		ReadTypes { { '8B1F', '    ' } },
		FilteredExtensions { { 'PIX ' } },
		FormatFlags { /* fmtSavesImageResources, */ fmtCanRead, fmtCanWrite, fmtCanWriteIfRead },	/* canRead, canWrite, canWriteIfRead, savesResources */
		FormatMaxSize { { 32767, 32767 } },
		FormatMaxChannels { {   0,  1,  0,  3,  0,  0, 
							    0,  0,  0,  0,  0,  0 } }
		}
	};


#ifdef __PS_25__     /* Currently, SimpleFormat assumes PS 3.0 or later. */
resource 'PiMI' (IDD_ABOUT, purgeable)
{
	latestFormatVersion, 	/* Version, subVersion, and priority of the interface */
	latestFormatSubVersion,
	0,
/*	supportsBitMap + */
	supportsGrayScale +
/*	supportsIndexedColor + */
/*	supportsRGBColor + */
/*	supportsCMYKColor + */
/*	supportsHSLColor + */
/*	supportsHSBColor + */
/*	supportsMultichannel + */
/*	supportsDuotone + */
/*	supportsLABColor */,			/* Supported Image Modes */
	'    ',						/* Required host */
	
	{
		canRead,
		cannotReadAll,
		canWrite,
		canWriteIfRead,
	/*	savesResources, */
		{  0,  1,  0,  3,		/* Maximum # of channels for each plug-in mode */
		   0,  0,  0,  0,
		   0,  0,  0,  0,
		   0,  0,  0,  0 },
		32767,				/* Maximum rows allowed in document */
		32767,				/* Maximum columns allowed in document */
		'8BsF',				/* The file type if we create a file. */
		'8BIM',				/* The creator type if we create a file. */
		{					/* The type-creator pairs supported. */
			'8BsF', '    '
		},
		{					/* The extensions supported. */
		}
	},
	
	{}

};
#endif


/* About box */

resource 'DLOG' (IDD_ABOUT, purgeable) {
	{20, 0, 144, 260},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	IDD_ABOUT,
	""
};

resource 'DITL' (IDD_ABOUT, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{-8192, -8192+1, -8192, -8192+1},	/* Invisible, but something to accept 'Enter' */
		Button {
			enabled,
			""
		},
		/* [2] */
		{0, 0, 124, 260},					/* Click anywhere to dismiss */
		UserItem {
			enabled
		},
		/* [3] */
		{10, 10, 26, 250},
		StaticText {
			disabled,
			"Alias PIX File Format"
		},
		/* [4] */
		{28, 10, 44, 250},
		StaticText {
			disabled,
			" 1996 Greggman"
		},
		/* [5] */
		{46, 10, 62, 250},
		StaticText {
			disabled,
			"version " VersionString
		},
		/* [6] */
		{66, 10, 120, 250},
		StaticText {
			disabled,
			"A plug-in image format module that reads"
			" and writes Alias PIX Format files"
		}
	}
};





